Subject: Re: bug#3911: get-free-disk-space when default-directory doesn't exist

From: Kevin Ryde <[email-masked]>
Date: Sat, 29 Aug 2009 11:32:45 +1000

Stefan Monnier <[email-masked]> writes:
>
> Emacs is made of such race conditions.

But this one is easy to avoid.  I really don't understand why this bug
has gone on and on.  What's the objection to "/"?  As far as I can tell
it's smaller, faster, and certain to work.  (Faster especially if
there's some nfs or ftpfs or similar involved where a system chdir may
do some evil remote query.)

> I'd like to make it work for Tramp dirs as well.

Sounds good.  Tramp holds open a session doesn't it, so at least there'd
be no call-process to worry about for it. :)